Bug 1311079 - Device notifier refuses to open encrypted device in dolphin
Device notifier refuses to open encrypted device in dolphin
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 05:56 EST by Jonathan Wakely
Modified: 2016-12-20 13:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:57:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2016-02-23 05:56:58 EST
Description of problem:

Device notifier won't open an external USB drive in file manager, because it keeps trying to mount the drive first, when it's already mounted.


Version-Release number of selected component (if applicable):

plasma-workspace-5.5.4-2.fc23.x86_64

How reproducible:

Every time.


Steps to Reproduce:
1. Connect encrypted USB drive.
2. Click "Open in File Manager" on device notifier.
3. Enter passphrase for device.

Actual results:

The drive mounts OK, but the device notifier shows an error:

> Could not mount the following device: 465.7 GiB encrypted drive. The device is already mounted: Device /dev/dm-4 is already mounted at '/run/media/jwakely/extdisk'.

The drive shows as mounted (I can click the Eject icon to unmount it) but clicking "Open in File Manager" keeps trying to remount it, and giving that error.

If I run Dolphin manually and navigate to the drive it's working fine, but the "Open File Manager" widget in the device notifier doesn't work.

Expected results:

The drive is mounted already, just open the file manager.

Additional info:

Plasmashell also crashes sometimes I do this, although not every time. Abrt logged that as a dup of Bug 1259472.
Comment 1 Fedora End Of Life 2016-11-24 10:43:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jonathan Wakely 2016-11-24 11:22:33 EST
This seems to work OK in F24
Comment 3 Fedora End Of Life 2016-12-20 13:57:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.